partition.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions

mpd_malloc struct mpd_partition * | mpd_partition_new (const struct mpd_pair *pair)
void | mpd_partition_free (struct mpd_partition *partition)
const mpd_pure char * | mpd_partition_get_name (const struct mpd_partition *partition)
bool | mpd_send_newpartition (struct mpd_connection *connection, const char *partition)
bool | mpd_run_newpartition (struct mpd_connection *connection, const char *partition)
bool | mpd_send_delete_partition (struct mpd_connection *connection, const char *partition)
bool | mpd_run_delete_partition (struct mpd_connection *connection, const char *partition)
bool | mpd_send_switch_partition (struct mpd_connection *connection, const char *partition)
bool | mpd_run_switch_partition (struct mpd_connection *connection, const char *partition)
bool | mpd_send_listpartitions (struct mpd_connection *connection)
static mpd_malloc struct mpd_pair * | mpd_recv_partition_pair (struct mpd_connection *connection)
mpd_malloc struct mpd_partition * | mpd_recv_partition (struct mpd_connection *connection)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file partition.h.

## Function Documentation

## mpd_partition_new()

mpd_malloc struct mpd_partition* mpd_partition_new | ( | const struct mpd_pair * | pair | ) |

Creates a new partition object from the pair received from MPD server.

Parameters

  pair | a mpd_pair received from MPD (name must be "partition")

Returns
  the new mpd_partition object, or NULL on error (out of memory, or pair name is not "partition")

Since
  libmpdclient 2.17

## mpd_partition_free()

void mpd_partition_free | ( | struct mpd_partition * | partition | ) |

Frees a mpd_partition object.

Since
  libmpdclient 2.17

## mpd_partition_get_name()

const mpd_pure char* mpd_partition_get_name | ( | const struct mpd_partition * | partition | ) |

Returns the partition name.

Since
  libmpdclient 2.17

## mpd_send_newpartition()

bool mpd_send_newpartition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Creates a new partition. A partition is one frontend of a multi-player MPD process: it has separate queue, player and outputs. A client is assigned to one partition at a time.

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_run_newpartition()

bool mpd_run_newpartition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Shortcut for mpd_send_newpartition() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_send_delete_partition()

bool mpd_send_delete_partition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Delete a partition.

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.18

## mpd_run_delete_partition()

bool mpd_run_delete_partition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Shortcut for mpd_send_delete_partition() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.18

## mpd_send_switch_partition()

bool mpd_send_switch_partition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Switch the client to a different partition.

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_run_switch_partition()

bool mpd_run_switch_partition | ( | struct mpd_connection * | connection,
|  | const char * | partition
| ) |  |

Shortcut for mpd_send_switch_partition() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  partition | the partition name

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_send_listpartitions()

bool mpd_send_listpartitions | ( | struct mpd_connection * | connection | ) |

Sends the "listpartitions" command: request the list of partitions. Call mpd_recv_partition() repeatedly to read the response.

Parameters

  connection | the connection to MPD

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_recv_partition_pair()

static mpd_malloc struct mpd_pair* mpd_recv_partition_pair | ( | struct mpd_connection * | connection | ) |

inline static

Receives the next partition name. Call this in a loop after mpd_send_listpartitions().

Free the return value with mpd_return_pair().

Parameters

  connection | a mpd_connection object

Returns
  a "partition" pair, or NULL on error or if the end of the response is reached

Since
  libmpdclient 2.17

Definition at line 188 of file partition.h.

## mpd_recv_partition()

mpd_malloc struct mpd_partition* mpd_recv_partition | ( | struct mpd_connection * | connection | ) |

Reads the next mpd_partition from the MPD response. Free the return value with mpd_partition_free().

Returns
  a mpd_partition object on success, NULL on error or end-of-response

Since
  libmpdclient 2.18